Subject: RE: Inconsistancy in draft-ietf-mpls-atm-02.txt?

From: Joan Cucchiara <[email-masked]>
Date: Fri, 3 Mar 2000 10:49:43 -0500

> -----Original Message-----
> From: Jeremy Lawrence [mailto:[email-masked]]
> Sent: Friday, March 03, 2000 3:24 AM
> To: [email-masked]
> Subject: Re: Inconsistancy in draft-ietf-mpls-atm-02.txt?
> 
> 
> Andy has proposed two changes to draft-ietf-mpls-atm-02.txt, and
> there appears to be agreement with these proposed changes. Does
> anyone on the list object to these changes being made without a
> working group last call?
> 
> A last call would consider these two proposed changes only, as
> draft-ietf-mpls-atm-02.txt has already passed working group last
> call.
> 
> Specifically, the two changes are:
> 
> - In section 7.2, after the sentences
>     "In this case, the default VCI value of the non-MPLS connection
>      between the LSRs is 32. The VPI is set to whatever is required
>      to make use of the Virtual Path"
>    insert the sentence
>     "Other VCI values can be configured, as long as both parties
>      are aware of the configured value."

This is a nit but, could the above be modified, such as:

"Other VCI values, greater than 31, can be configured..."

> 
> - In section 7, in the sentences
>     "It SHOULD be possible to configure an LC-ATM interface with
>      additional VPI/VCIs that are used to carry control information or
>      non-labelled packets.  In that case, the VCI values MUST 
> be in the
>      0-32 range."
>    change the "MUST" to "MUST NOT".

I agree with this one.

    Thanks, Joan

> 
> Jeremy Lawrence
> 
> 
> At 10:02 03/01/2000 -0500, Andrew G. Malis wrote:
> >I'm at the ITU Study Group 13 meeting in Kyoto, and I was 
> asked a question I don't really have a good answer for, so 
> I'm going to the list.
> >
> >In draft-ietf-mpls-atm-02.txt, section 7.1, regarding direct 
> connections between LSRs, says:
> >
> >    The default VPI/VCI value for the non-MPLS connection is 
> VPI 0, VCI
> >    32.  Other values can be configured, as long as both parties are
> >    aware of the configured value.
> >
> >However, section 7.2, regarding the use of VPs between LSRs, says:
> >
> >    In this case, the default VCI value of the non-MPLS connection
> >    between the LSRs is 32.  The VPI is set to whatever is 
> required to
> >    make use of the Virtual Path.
> >
> >Section 7.2 is missing the sentence "Other VCI values can be 
> configured, as long as both parties are aware of the 
> configured value.".  Is there any good reason why this was 
> omitted?  If not, it really should be in there, since an ATM 
> LSR/switch may want to use VCI 32 on the VP for other uses, 
> especially if the VP is shared in "ships in the night" mode.
> >
> >On another note, I believe I have found a typo that also 
> really needs to be fixed.  In section 7, the text says:
> >
> >    It SHOULD be possible to configure an LC-ATM interface with
> >    additional VPI/VCIs that are used to carry control information or
> >    non-labelled packets.  In that case, the VCI values MUST 
> be in the
> >    0-32 range.
> >
> >I think that the final line should say "MUST NOT", not 
> "MUST", since the range 0-31 is reserved by the ITU and ATM 
> Forum for non-user traffic only.
> >
> >We still have time to get these fixed before the RFC comes 
> out ... comments?
> >
> >Thanks,
> >Andy
> >
> >
> 
>